Subject: Book - Saving Butterflies

From: Roy Neeve <[email-masked]>
Date: Thu, 2 Feb 1995 06:20:00 GMT

Further to Geogory's note on  David Dunbar's book Saving Butterflies, it can 
be purchased from 
Butterfly Conservation Sales Ltd, PO Box 216, AYLESBURY HP20 !DD England.  
The UK price is £14.95 hardback and £11.95 paperback.  UK postage is an 
additional £1.50 so others aught to include a little more I guess.
Please e-mail me if you want further details of the British Butterfly 
Conservation Society; they publish a number of booklets on the UK species eg 
The Purple Emperor (Apalura iris) and a Gardening for Butterflies booklet.
Dedicated to saving  wild butterflies and their habitats in the UK